<div class="rc-panel blue nopadding" data-title="Select a printer"> 

  <!-- <div class='rc-item' data-icon-class="icon icon-3dprinter {{printer.statusClass}}" data-title="{{printer.customName}}" ng-click="showPrinterInfo()"></div> -->

    <!-- <ul class="list-menu"> -->
      <div class='rc-item no-icon' ng-hide="connection.online" data-title="No internet connection"></div>
      <div class='rc-item no-icon' ng-show="connection.online && !cloud.connected" data-title="Connecting to server..."></div>
      <div class='rc-item' data-icon-class="icon icon-3dprinter {{printer.statusClass}}" ng-click="selectPrinter(printer)" ng-repeat="printer in printers | orderBy:['-online','-customName']" data-title="{{printer.customName}}"></div>
      <div class='rc-item no-icon' ng-show="connection.online && cloud.connected && printers.length==0" ng-click="go('/localprinters')" data-title="Tap to add your printer..."></div>
    <!-- </ul> -->

</div>

<div class="row footer">
  <p>
  connection.online: {{connection.online}}<br>
  cloud.connected: {{cloud.connected}}<br>
  connection.wifi.connected: {{connection.wifi.connected}}<br>
  connection.wifi.ssid: {{connection.wifi.ssid}}<br>
  </p>
</div>